@rem = ' This is a perl script for NT.
@echo off
ccperl  -S ccperlpp.pl %0.bat %1 %2 %3 %4 %5 %6 %7 %8 %9
goto endofperl
@rem ';


#
# Licensed Materials - Property of IBM
# Rational ClearCase
# (C) Copyright IBM Corp. 1996, 2014.  All Rights Reserved.
# US Government Users Restricted Rights -
# Use, duplication or disclosure restricted by GSA ADP Schedule
# Contract with IBM Corp
#
#
# The directory containing this bat file is the
# same directory that contains the .pl file. Get 
# it. Parse $0 the last slash position covering 
# either slash flavor. Also assume the perl script 
# is in . if there are no slashes at all
#
$path = $_;
if($path =~ /(.*)\\(.*)/) {
    $script = $2;
} else {
    $script = $path;
}
$script =~ s/\.bat$/\.pl/;
if ($ENV{'CLEARCASEHOME'}){
    $atria_home = $ENV{CLEARCASEHOME};
}else{
    $atria_home = $ENV{ATRIAHOME};
}    
push(@call,'ccperl');
push(@call,qq(-I"$atria_home\\etc"));
push(@call,qq("$atria_home\\etc\\$script"));
push(@call,qq("$atria_home"));
foreach $i (@ARGV) {
  push(@call,qq("$i"));
}
system(@call);

__END__
:endofperl


